---
title: "Icon Button"
description: "Displays an icon button"
component: true
---

<ComponentExample name="icon-button-demo" />

## Usage

---

```tsx
import { IconButton } from "@medusajs/ui"
import { Plus } from "@medusajs/icons"
```

```tsx
<IconButton>
  <Plus />
</IconButton>
```

## API Reference

---

<ComponentReference mainComponent="IconButton" />

## Examples

---

### Primary

<ComponentExample name="icon-button-primary" />

### Transparent

<ComponentExample name="icon-button-transparent" />

### Base

<ComponentExample name="icon-button-base" />

### Large

<ComponentExample name="icon-button-large" />

### X-Large

<ComponentExample name="icon-button-xlarge" />

### Disabled

<ComponentExample name="icon-button-disabled" />

### Loading

<ComponentExample name="icon-button-loading" />